/**
 * MAGIX CMS
 * @copyright  MAGIX CMS Copyright (c) 2010 Gerits Aurelien, 
 * http://www.magix-cms.com, http://www.logiciel-referencement-professionnel.com http://www.magix-cjquery.com
 * @license    Dual licensed under the MIT or GPL Version 3 licenses.
 * @version    1.0
 * @author Gérits Aurélien <aurelien@magix-cms.com>
 * @name adminjs
 * @package plugins
 * @addon gmap
 *
 */
var adminMap = {
	_load_plugin_gmap:function(){
		$.ajax({
			url: '/admin/plugins.php?name=gmap&json_map_record=true',
			dataType: 'json',
			type: "get",
			statusCode: {
				0: function() {
					console.error("jQuery Error");
				},
				401: function() {
					console.warn("access denied");
				},
				404: function() {
					console.warn("object not found");
				},
				403: function() {
					console.warn("request forbidden");
				},
				408: function() {
					console.warn("server timed out waiting for request");
				},
				500: function() {
					console.error("Internal Server Error");
				}
			},
			async: true,
			cache:false,
			beforeSend: function(){
				$('#load_plugin_gmap').html('<img class="loader-block" src="/framework/img/square-circle.gif" />');
			},
			success: function(j) {
				$('#load_plugin_gmap').empty();
				var tablecat = '<table id="table_plugin_gmap" class="table-plugin-author">'
					+'<thead><tr style="padding:3px;" class="ui-widget ui-widget-header">'
					+'<th style="width:1%;">ID</th>'
					+'<th><span class="lfloat magix-icon magix-icon-h1"></span></th>'
					+'<th class="small-icon"><span class="lfloat magix-icon magix-icon-note"></span></th>'
					+'<th><span class="lfloat ui-icon ui-icon-person"></span></th>'
					+'<th><span class="lfloat ui-icon ui-icon-flag"></span></th>'
					+'<th style="width:1%;"><span class="lfloat ui-icon ui-icon-pencil"></span></th>'
					+'<th style="width:1%;"><span class="lfloat ui-icon ui-icon-close"></span></th>'
					+'</tr></thead>'
					+'<tbody>';
				tablecat += '</tbody></table>';
				$(tablecat).appendTo('#load_plugin_gmap');
				if(j === undefined){
					console.log(j);
				}
				if(j !== null){
					$.each(j, function(i,item) {
						if(item.content_map != 0){
							var contentMap = '<div class="ui-state-highlight" style="border:none;"><span style="float:left" class="ui-icon ui-icon-check"></span></div>';
						}else{
							var contentMap = '<div class="ui-state-error" style="border:none;"><span style="float:left;" class="ui-icon ui-icon-cancel"></span></div>';
						}
						if(item.lang != null){
							flaglang = item.lang;
						}else{
							flaglang = '<div class="ui-state-error" style="border:none;"><span style="float:left;" class="ui-icon ui-icon-cancel"></span></div>';
						}
						return $('<tr>'
						+'<td>'+item.idgmap+'</td>'
						+'<td>'+item.name_map+'</td>'
						+'<td class="small-icon">'+contentMap+'</td>'
						+'<td>'+item.pseudo+'</td>'
						+'<td>'+flaglang+'</td>'
						+'<td class="small-icon"><a href="/admin/plugins.php?name=gmap&editmap='+item.idgmap+'"><span style="float:left;" class="ui-icon ui-icon-pencil"></span></td>'
						+'<td class="small-icon"><a href="#" class="d-plugin-gmap" title="'+item.idgmap+'"><span style="float:left;" class="ui-icon ui-icon-close"></span></td>'
						+'</tr>').appendTo('#table_plugin_gmap tbody');
					});
				}else{
					return $('<tr>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'<td><span class="lfloat ui-icon ui-icon-minus"></span></td>'
					+'</tr>').appendTo('#table_plugin_gmap tbody');
				}
			}
		});
	},
	_addAssignLang:function(){
		var formsAddMap = $("#forms-plugin-addGmap").validate({
			onsubmit: true,
			event: 'submit',
			rules: {
				name_map: {
					required: true,
					minlength: 2
				},
				idlang: {
					required: true
				}
			},
			messages: {
				name_map: {
					required: 'The map title is requiered'
				},
				idlang: {
					required: "Choose the language"
				}
			},
			submitHandler: function(form) {
				$(form).ajaxSubmit({
		    		url:'/admin/plugins.php?name=gmap&postassign=1',
		    		type:"post",
		    		resetForm: true,
		    		success:function(request) {
						$.notice({
							ntype: "simple",
							time:2
						});
		    			$(".mc-head-request").html(request);
		    			adminMap._load_plugin_gmap();
		    		}
		    	});
				return false; 
			}
		});
		$("#forms-plugin-addGmap").formsAddMap;
	},
	_updateMap:function(){
		$("#forms-plugin-updateGmap").submit(function(){
			var idgmap = $('#idgmap').val();
			$.notice({
				ntype: "ajaxsubmit",
	    		delay: 2800,
	    		dom: this,
	    		uri: '/admin/plugins.php?name=gmap&editmap='+idgmap,
	    		typesend: 'post',
	    		resetform:false,
	    		time:2,
	    		reloadhtml:false
			});
			return false; 
		});
	},
	_updateConfig:function(){
		$("#forms-plugin-configGmap").submit(function(){
			$.notice({
				ntype: "ajaxsubmit",
	    		delay: 2800,
	    		dom: this,
	    		uri: '/admin/plugins.php?name=gmap&updateconfig=1',
	    		typesend: 'post',
	    		resetform:false,
	    		time:2,
	    		reloadhtml:false
			});
			return false; 
		});
	}
};